Name:          signon
Version:       8.56
Release:       1mamba
Summary:       Accounts and SSO (Single Sign-On) framework
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://code.google.com/p/accounts-sso/
Source:        https://accounts-sso.googlecode.com/files/signon-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libproxy-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Accounts & SSO framework consists of a set of components and libraries which implement an account manager for a user's online accounts and a single-sign-on daemon which handles the authentication to the remote services on behalf of the client applications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
## note: you can add this requirement if .pc files are provided by this package
#Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%_qt4_qmake \
   PREFIX=%{_prefix} \
   LIBDIR=%{_libdir}

#   CONFIG+=cryptsetup

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_sysconfdir}/signond.conf
%{_bindir}/signond
%{_bindir}/signonpluginprocess
%doc COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libsignon-extension.so.*
%{_libdir}/libsignon-plugins-common.so.*
%{_libdir}/libsignon-qt.so.*
%dir %{_libdir}/signon
%{_libdir}/signon/libexampleplugin.so
%{_libdir}/signon/libpasswordplugin.so
%{_libdir}/signon/libssotest2plugin.so
%{_libdir}/signon/libssotestplugin.so
%{_datadir}/dbus-1/interfaces/com.google.code.AccountsSSO.SingleSignOn.AuthService.xml
%{_datadir}/dbus-1/interfaces/com.google.code.AccountsSSO.SingleSignOn.AuthSession.xml
%{_datadir}/dbus-1/interfaces/com.google.code.AccountsSSO.SingleSignOn.Identity.xml
%{_datadir}/dbus-1/services/com.google.code.AccountsSSO.SingleSignOn.service
%{_datadir}/dbus-1/services/com.nokia.SingleSignOn.Backup.service

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/signon-extension
%dir %{_includedir}/signon-extension/SignOn/
%{_includedir}/signon-extension/SignOn/*
%dir %{_includedir}/signon-plugins
%{_includedir}/signon-plugins/*.h
%dir %{_includedir}/signon-plugins/SignOn
%{_includedir}/signon-plugins/SignOn/*
%dir %{_includedir}/signon-qt
%dir %{_includedir}/signon-qt/SignOn
%{_includedir}/signon-qt/SignOn/*
%dir %{_includedir}/signond
%dir %{_includedir}/signond/*
%{_libdir}/libsignon-extension.so
%{_libdir}/libsignon-plugins-common.so
%{_libdir}/libsignon-plugins.a
%{_libdir}/libsignon-qt.a
%{_libdir}/libsignon-qt.so
%dir %{_libdir}/cmake/SignOnQt
%{_libdir}/cmake/SignOnQt/SignOnQtConfig.cmake
%{_libdir}/cmake/SignOnQt/SignOnQtConfigVersion.cmake
%{_libdir}/pkgconfig/SignOnExtension.pc
%{_libdir}/pkgconfig/libsignon-qt.pc
%{_libdir}/pkgconfig/signon-plugins-common.pc
%{_libdir}/pkgconfig/signon-plugins.pc
%{_libdir}/pkgconfig/signond.pc
%doc README TODO

%files apidocs
%defattr(-,root,root)
%dir %{_datadir}/doc/signon
%{_datadir}/doc/signon/*
%dir %{_datadir}/doc/signon-plugins
%{_datadir}/doc/signon-plugins/*
%dir %{_datadir}/doc/signon-plugins-dev
%{_datadir}/doc/signon-plugins-dev/*
%dir %{_datadir}/doc/libsignon-qt
%{_datadir}/doc/libsignon-qt/*

%changelog
* Thu Feb 27 2014 Automatic Build System <autodist@mambasoft.it> 8.56-1mamba
- automatic version update by autodist

* Tue Dec 24 2013 Automatic Build System <autodist@mambasoft.it> 8.55-1mamba
- automatic version update by autodist

* Sun Sep 08 2013 Automatic Build System <autodist@mambasoft.it> 8.54-1mamba
- automatic version update by autodist

* Mon Sep 02 2013 Automatic Build System <autodist@mambasoft.it> 8.53-1mamba
- automatic version update by autodist

* Wed Jun 12 2013 Automatic Build System <autodist@mambasoft.it> 8.52-1mamba
- automatic version update by autodist

* Wed May 15 2013 Automatic Build System <autodist@mambasoft.it> 8.51-1mamba
- automatic version update by autodist

* Thu Apr 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 8.50-1mamba
- package created by silvan using the webbuild interface
